[med-svn] [Git][med-team/unicycler][master] Add autopkgtest

Liubov Chuprikova gitlab at salsa.debian.org
Sat Oct 27 18:08:08 BST 2018


Liubov Chuprikova pushed to branch master at Debian Med / unicycler


Commits:
b0b0cac3 by Liubov Chuprikova at 2018-10-27T17:07:15Z
Add autopkgtest

- - - - -


4 changed files:

- debian/changelog
- debian/tests/control
- debian/tests/run-unit-test
- + debian/unicycler.docs


Changes:

=====================================
debian/changelog
=====================================
@@ -1,7 +1,13 @@
 unicycler (0.4.7+dfsg-2) UNRELEASED; urgency=medium
 
+  * Team upload.
+
+  [ Andreas Tille ]
   * Add manpages
 
+  [ Liubov Chuprikova ]
+  * Add autopkgtest
+
  -- Andreas Tille <tille at debian.org>  Wed, 24 Oct 2018 09:04:28 +0200
 
 unicycler (0.4.7+dfsg-1) unstable; urgency=medium


=====================================
debian/tests/control
=====================================
@@ -1,3 +1,3 @@
 Tests: run-unit-test
-Depends: @
+Depends: @, @builddeps@
 Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -1,15 +1,32 @@
 #!/bin/bash
 set -e
 
-pkg=#PACKAGENAME#
+pkg=unicycler
 
 if [ "$AUTOPKGTEST_TMP" = "" ] ; then
   AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
   trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
 fi
 
-cp -a /usr/share/doc/${pkg}/examples/* $AUTOPKGTEST_TMP
+if [ -d /usr/share/${pkg}-data/sample_data ] ; then
+  cp -a /usr/share/${pkg}-data/sample_data/* $AUTOPKGTEST_TMP
+else
+  echo "Please install package unicycler-data to run this script"
+  exit 1
+fi
 
 cd $AUTOPKGTEST_TMP
 
-#do_stuff_to_test_package#
+unicycler -1 short_reads_1.fastq.gz -2 short_reads_2.fastq.gz -o illumina_assembly
+
+#unicycler -l long_reads_high_depth.fastq.gz -o long_read_assembly
+# This command fails with the following error:
+#    Assembling contigs and long reads with miniasm
+#    ...
+#    Assembling reads with miniasm... empty result
+#    Error: miniasm assembly failed
+
+# It might be that the reads have not enough depth. See issue:
+#    https://github.com/rrwick/Unicycler/issues/38
+
+unicycler -1 short_reads_1.fastq.gz -2 short_reads_2.fastq.gz -l long_reads_low_depth.fastq.gz -o hybrid_assembly


=====================================
debian/unicycler.docs
=====================================
@@ -0,0 +1,2 @@
+debian/tests/run-unit-test
+debian/README.test



View it on GitLab: https://salsa.debian.org/med-team/unicycler/commit/b0b0cac3438024c8c2ae609d255e10f08fa45e1c

-- 
View it on GitLab: https://salsa.debian.org/med-team/unicycler/commit/b0b0cac3438024c8c2ae609d255e10f08fa45e1c
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20181027/22a9be65/attachment-0001.html>


More information about the debian-med-commit mailing list